Vsan System Ex Vsan Host Query Wipe Disk

Vsan System Ex Vsan Host Query Wipe Disk
Query disk level information for securely wipe disk.

Query disk level information for securely wipe disk.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanHostQueryWipeDisk
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanSystemEx/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanHostQueryWipeDiskRequestType of type(s) application/json
Required

Show optional properties

{
    "disks": [
        {}
    ]
}
{
    "disks": [
        "string"
    ]
}
array of string
disks
Required

disks

Authentication
This operation uses the following authentication methods.
Responses
200

VsanHostWipeDiskStatus[] which contain each disk wipe status.

[
    {
        "_typeName": "string",
        "disk": "string",
        "eligible": "string",
        "ineligibleReason": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ],
        "wipeState": "string",
        "percentageCompleted": 0,
        "estimatedTime": 0,
        "wipeStartTime": "string",
        "wipeCompleteTime": "string"
    }
]
array of object
Optional

Wipe disk status.

This structure may be used only with operations rendered under /vsan.


500

Failure

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"disks":["string"]}' https://{api_host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanHostQueryWipeDisk